Package com.independentsoft.office.word

# Class MarkupRange

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.MarkupRange

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRangeMarkupElement`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathElement`, `ICellContent`, `IRowContent`

Direct Known Subclasses:
  `BookmarkEnd`, `BookmarkRange`, `CommentRangeEnd`, `CommentRangeStart`, `MoveFromRangeEnd`, `MoveToRangeEnd`

public abstract class MarkupRange extends Markup implements IRangeMarkupElement
The Class MarkupRange.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DisplacedByCustomXml`
  `displacedByCustomXml`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MarkupRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract MarkupRange`
  `clone()`
  `abstract List<IContentElement>`
  `getContentElements()`
  `DisplacedByCustomXml`
  `getDisplacedByCustomXml()`
  Gets the displaced by custom xml.
  `void`
  `setDisplacedByCustomXml​(DisplacedByCustomXml displacedByCustomXml)`
  Sets the displaced by custom xml.

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### displacedByCustomXml

    protected DisplacedByCustomXml displacedByCustomXml

- ## Constructor Details

  - ### MarkupRange

    public MarkupRange()

- ## Method Details

  - ### clone

    public abstract MarkupRange clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRangeMarkupElement`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Specified by:
      `clone` in class `Markup`

  - ### getContentElements

    public abstract List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### getDisplacedByCustomXml

    public DisplacedByCustomXml getDisplacedByCustomXml()
    Gets the displaced by custom xml.
    Returns:
      the displaced by custom xml

  - ### setDisplacedByCustomXml

    public void setDisplacedByCustomXml​(DisplacedByCustomXml displacedByCustomXml)
    Sets the displaced by custom xml.
    Parameters:
      `displacedByCustomXml` - the new displaced by custom xml